using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class Cols
    {
        [Required]
        [StringLength(1)]
        public string SystemDivision { get; set; }
        [StringLength(2000)]
        public string TableName { get; set; }
        [StringLength(2000)]
        public string TableDesc { get; set; }
        [Column("ColumnID")]
        public int ColumnId { get; set; }
        [Required]
        [StringLength(2000)]
        public string ColumnName { get; set; }
        [Required]
        [StringLength(2000)]
        public string ColumnDesc { get; set; }
        [StringLength(128)]
        public string ColType { get; set; }
        [StringLength(63)]
        public string ColLen { get; set; }
        [Required]
        [StringLength(2)]
        public string ColTypeCode { get; set; }
        [Required]
        [StringLength(1)]
        public string TableOrder { get; set; }
        [Column("max_length")]
        public short MaxLength { get; set; }
        [Column("Is_Null")]
        public bool? IsNull { get; set; }
        [Required]
        [Column("is_Pk")]
        [StringLength(2)]
        public string IsPk { get; set; }
    }
}
